Package org.eclipse.rdf4j.query

## Class QueryResultHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.query.QueryResultHandlerException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `BooleanQueryResultHandlerException`, `TupleQueryResultHandlerException`

      public class QueryResultHandlerException
      extends RDF4JException

  The super class of exceptions originating from `QueryResultHandler` implementations.
  Author:
    Peter Ansell
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryResultHandlerException​(String msg)` | Creates a new QueryResultHandlerException.
    `QueryResultHandlerException​(String msg, Throwable t)` | Creates a new QueryResultHandlerException wrapping another exception.
    `QueryResultHandlerException​(Throwable t)` | Creates a new QueryResultHandlerException wrapping another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryResultHandlerException

          public QueryResultHandlerException​(String msg)

      Creates a new QueryResultHandlerException.
      Parameters:
        `msg` - An error message.

    - #### QueryResultHandlerException

          public QueryResultHandlerException​(Throwable t)

      Creates a new QueryResultHandlerException wrapping another exception.
      Parameters:
        `t` - The cause of the exception.

    - #### QueryResultHandlerException

          public QueryResultHandlerException​(String msg,
                                             Throwable t)

      Creates a new QueryResultHandlerException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `t` - The cause of the exception.